MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025783Open CASCADE[OCCT] OCCT:Visualizationpublic2015-02-03 09:432015-05-14 16:29
Reporterisz 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025783: Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay
DescriptionRedesign of 2d layers is possible through editing z-layers. There will be two additional predefined z-layers: one for underlay and one for overlay. Through editing rendering settings of these layers we can draw on-screen 2d objects in them.
Steps To Reproducetests/bugs/vis/bug25783_1
tests/bugs/vis/bug25783_2
TagsNo tags attached.
Test case numberbugs vis(004) bug25783_1, bug25783_2
Attached Filespng file icon overlay.png (8,560 bytes) 2015-04-08 11:47

- Relationships
related to 0025867closedbugmaster Visualization, TKOpenGl - fix misprint in transformation persistence math 
parent of 0025785closedski Visualization - introduce AIS_ColorScale presentation for Color Scale 
parent of 0025789closedbugmaster Visualization - get rid of obsolete 2d layers implementation 
parent of 0026149closedbugmaster Visualization - depth buffer should not be written within Z-layers without Graphic3d_ZLayerDepthWrite flag 
related to 0025885closedbugmaster Visualization, ray tracing - Improve layer processing 
related to 0025884closedbugmaster Visualization - Override environment texture by object-level texture 
child of 0025508closedbugmaster Visualization - redesign of 2d layers in TKV3d 

-  Notes
(0037007)
git (administrator)
2015-02-03 11:55

Branch CR25783 has been created by isz.

SHA-1: 97f36b564d6f2ca05aa9152dd37c20016b1c143c


Detailed log of new commits:

Author: isz
Date: Tue Feb 3 10:51:19 2015 +0300

    0025783: Designing 2d layers with z-layers
    
    Displaying objects in 2d now works through zlayers. Is2d flag is added to ZlayerSettings.
    Graphic3d_ZLayerId_BotOSD with id -5 is added to draw underlay.
(0037012)
isz (developer)
2015-02-03 13:07

Dear Kirill,
Please review branch CR25783.
(0037024)
git (administrator)
2015-02-03 16:06

Branch CR25783 has been updated by kgv.

SHA-1: ff764864afa58511bd91d9e794678302b6548b55


Detailed log of new commits:

Author: kgv
Date: Tue Feb 3 16:06:39 2015 +0300

    cosmetics

(0037025)
kgv (developer)
2015-02-03 16:13

Patch is incomplete - there are no test cases to test new functionality.
Please extend command vdisplay with options to:
- Display object in overlay or underlay.
- With active/inactive selection (disabled by default for 2D objects since it is broken for now).

According to current tests, functionality does not work as expected and 2D object can not be easily displayed.
Propose the solution for FitALL problem.
(0037221)
git (administrator)
2015-02-09 11:55

Branch CR25783_1 has been created by isz.

SHA-1: fe9d99b7f3694ab169a493130ebc82a75d17060b


Detailed log of new commits:

Author: isz
Date: Mon Feb 9 11:36:58 2015 +0300

    Flag TPF_2D is added to transform persistence flags. Matrix settings for drawing 2d objects were moved into BeginTransformPersistence() method.
    Vdisplay command is modified: options -overlay and -underlay were added to be able to display objects in overlay and underlay;
    options -select and -noselect were added to control selection; selection for 2d objects is turned off by default.
    Test case bug25783 was added to check the new options of vdisplay command.

Author: kgv
Date: Tue Feb 3 16:06:39 2015 +0300

    cosmetics

Author: isz
Date: Tue Feb 3 10:51:19 2015 +0300

    0025783: Designing 2d layers with z-layers
    
    Displaying objects in 2d now works through zlayers. Is2d flag is added to ZlayerSettings.
    Graphic3d_ZLayerId_BotOSD with id -5 is added to draw underlay.
(0037230)
git (administrator)
2015-02-09 13:49

Branch CR25783_1 has been updated by isz.

SHA-1: 3fbe9cff2cccd023406664ac666fdd157adb701c


Detailed log of new commits:

Author: isz
Date: Mon Feb 9 13:49:08 2015 +0300

    Flags' values for TPF_2D and Graphic3d_TMF_2d were changed to 0x40.

(0037231)
isz (developer)
2015-02-09 13:51

Dear Kirill,
Please review branch CR25783_1.
(0037614)
git (administrator)
2015-02-17 10:41

Branch CR25783_1 has been updated forcibly by isz.

SHA-1: c3ee89ff4581d8f08643dc857d5508176acee3f6
(0037864)
git (administrator)
2015-02-25 15:10

Branch CR25783_1 has been updated forcibly by isz.

SHA-1: 3a14d860df36bdd7e47b04bf6112b1e351c23644
(0038049)
git (administrator)
2015-03-03 16:02

Branch CR25783_1 has been updated forcibly by isz.

SHA-1: 65d8a2c14dfd8d86c6ce2f355b0559e0b00e667b
(0038934)
kgv (developer)
2015-03-27 09:22

Please consider remarks from Sergey.
(0038986)
git (administrator)
2015-03-30 15:45

Branch CR25783_1 has been updated forcibly by isz.

SHA-1: 583582f8cbb3233e69abd8653e63c5fb35824d93
(0038987)
isz (developer)
2015-03-30 15:46

Dear Kirill,

Please review branch CR25783_1.
(0038990)
kgv (developer)
2015-03-30 15:57

Dear Ivan,

please follow recommended practice and always prepare dedicated branch with squashed changes into single commit.

+#display box in overlay

please always add the space before the comment.

+#display box in overlay tied to middle point
+vdisplay b -overlay -2dpos 200 200

please provide test cases for all useful scenarios with different bind point.

+    GLfloat aLeft, aRight, aBottom, aTop, aX,aY;
+    aX = theTransPers->pointX;
+    aY= theTransPers->pointY;
+    if (theTransPers->mode == TPF_2D_ISTOPDOWN)

please avoid uninitialized variables and prefer initialization within declaration (for aX and aY).

+      aRight= static_cast<GLfloat> (theWidth) -aX;
+      aBottom =static_cast<GLfloat> (theHeight) - aY;

please follow code style for arithmetic operators.
(0039071)
git (administrator)
2015-04-01 10:19

Branch CR25783_1 has been updated by isz.

SHA-1: 1cb2afbffe8c8516f795c38e68ef7137e57906e4


Detailed log of new commits:

Author: isz
Date: Wed Apr 1 10:18:36 2015 +0300

    Cosmetic fix. Test case updated.

(0039080)
git (administrator)
2015-04-01 11:16

Branch CR25783_2 has been created by isz.

SHA-1: 0fe0256f4960057b4d409d1e5eb3509f4ccd1388


Detailed log of new commits:

Author: isz
Date: Wed Apr 1 11:16:05 2015 +0300

    0025783: Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay
    
    Displaying objects in 2d now works through zlayers and transform persistence.
    Graphic3d_ZLayerId_BotOSD with id -5 was added to draw underlay.
    Flags TPF_2D and TPF_ISTOPDOWN and corresponding flags Graphic3d_TMF_2D_ISTOPDOWN, Graphic3d_TMF_2D_2d were added to transform persistence flags.
    BeginTransformPersistence() method was updated to transform matrices for drawing 2d objects.
    Vdisplay command was modified: options -overlay and -underlay were added to be able to display objects in overlay and underlay;
    options -select and -noselect were added to control selection; selection for 2d objects is turned off by default;
    option -2dposition was added to tie coordinate origin for 2d object to a certain position of the view;
    option -topdown was added to translate coordinate origin of the view to the top left corner and make the Y axis point down.
    Test cases bug25783 and bug25783_1 were added to check the new options of vdisplay command.
(0039081)
isz (developer)
2015-04-01 11:18

Dear Kirill,
Please review branch CR25783_2.
(0039086)
kgv (developer)
2015-04-01 12:24

Please improve test cases.
(0039141)
git (administrator)
2015-04-02 12:57

Branch CR25783_2 has been updated by isz.

SHA-1: 085c7b3a32763134980199576352f5eef4a08817


Detailed log of new commits:

Author: isz
Date: Thu Apr 2 12:57:19 2015 +0300

    Coordinate origin of 2d objects is now defined like in trihedron mode with possible offset from border.
    Added option -transpers to vdisplay command to set a transform persistence mode.
    Option -2dpos was renamed to -tppos and now works for all persistence modes.
    Test cases were updated.

Author: isz
Date: Wed Apr 1 13:10:19 2015 +0300

    Cosmetic.

(0039241)
git (administrator)
2015-04-06 10:57

Branch CR25783_2 has been updated by isz.

SHA-1: e67dd15e713b6d783c8879185cf49a7a980333ed


Detailed log of new commits:

Author: isz
Date: Mon Apr 6 10:57:47 2015 +0300

    For vdisplay command option -2d was added.
    Option -tps can recieve multiple arguments.
    Test cases updated.

(0039242)
git (administrator)
2015-04-06 11:15

Branch CR25783_3 has been created by isz.

SHA-1: 8ea7abe0610eff03f38ce1e1edd5419772abcecf


Detailed log of new commits:

Author: isz
Date: Mon Apr 6 11:15:41 2015 +0300

    0025783: Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay
    
    Displaying objects in 2d now works through zlayers and transform persistence.
    Graphic3d_ZLayerId_BotOSD with id -5 was added to draw underlay.
    Flags TPF_2D and TPF_ISTOPDOWN and corresponding flags Graphic3d_TMF_2d_IsTopDown, Graphic3d_TMF_2D_2d were added to transform persistence flags.
    BeginTransformPersistence() method was updated to transform matrices for drawing 2d objects.
    Vdisplay command was modified: options -overlay and -underlay were added to be able to display objects in overlay and underlay;
    options -select and -noselect were added to control selection; selection for 2d objects is turned off by default;
    option -tpposition/-tppos was added to set a translation point for transform persistence.
    option -topdown was added to make the Y axis of the view point down (for 2d objects);
    option -2d was added to display object in 2d;
    option -transpers/-tps was added to set a transform persistence mode for the object;
    Test cases bug25783 and bug25783_1 were added to check the new options of vdisplay command.
(0039243)
isz (developer)
2015-04-06 11:16

Dear Kirill,
Please review branch CR25783_3.
(0039258)
git (administrator)
2015-04-06 14:29

Branch CR25783_3 has been updated by isz.

SHA-1: e1ee8259572127c04390f2b80281e1141da9ba5c


Detailed log of new commits:

Author: isz
Date: Mon Apr 6 14:29:39 2015 +0300

    Update test case bug25783_1.

(0039341)
git (administrator)
2015-04-07 19:27

Branch CR25783_3 has been updated by isz.

SHA-1: cd68c410ea18687bf5d0dc057329400b50621234


Detailed log of new commits:

Author: isz
Date: Tue Apr 7 19:27:32 2015 +0300

    Help message for vdisplay command was updated.
    Test case bug25873_1 was splitted in two test cases: bug25873_1 and bug25873_2.
    Test cases updated.

(0039347)
git (administrator)
2015-04-08 11:04

Branch CR25783_3 has been updated by kgv.

SHA-1: 85faec5ab3160e156b09b07023e4e80e21e298ee


Detailed log of new commits:

Author: kgv
Date: Wed Apr 8 11:04:10 2015 +0300

    cosmetics

Author: kgv
Date: Wed Apr 8 09:48:57 2015 +0300

    rename test cases names

(0039348)
git (administrator)
2015-04-08 11:16

Branch CR25783_3 has been updated by kgv.

SHA-1: d204cae94cb75d2981b80c8443ee433737b8b678


Detailed log of new commits:

Author: kgv
Date: Wed Apr 8 11:16:24 2015 +0300

    drop vsettransmode command

(0039349)
git (administrator)
2015-04-08 11:31

Branch CR25783_4 has been created by kgv.

SHA-1: 8d7b34016b846c0a0a98b9b5cdac1e7fb5581a31


Detailed log of new commits:

Author: isz
Date: Wed Apr 8 11:30:34 2015 +0300

    0025783: Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay
    
    Add one more pre-defined Z-layer Graphic3d_ZLayerId_BotOSD.
    
    Define new Transformation Persistence flags Graphic3d_TMF_2d and Graphic3d_TMF_2d_IsTopDown
    for displaying objects in screen coordinates.
    Anchor point defines angle of the screen to display the object in similar way as for Graphic3d_TMF_TriedronPers.
    
    Extend Draw Harness command vdisplay with new options:
     -overlay as alias for -toposd.
     -underlay and -botosd.
     -noselect to prevent automatic selection activation.
     -dispMode and -highMode to define displaying and highlighting modes.
     -2d, -2dtopdown and -3d to manage displaying in screen coordinates.
     -trsfPers and -trsfPersPos for Transformation Persistence options.
    
    Drop command vsettransmode, replaced by vdisplay.
(0039350)
kgv (developer)
2015-04-08 11:31

Please test patch in branch CR25783_4.
(0039632)
apv (tester)
2015-04-13 14:39

Dear BugMaster,

Branch CR25783_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8d7b34016b846c0a0a98b9b5cdac1e7fb5581a31

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR25783-4-master-occt-64/Debian60-64/summary.html [^]
http://occt-tests/CR25783-4-master-occt-64/Windows-64-VC10/summary.html [^]
bugs iges(003) fra62523
bugs vis(004) bug641
bugs modalg_2(007) bug20785
bugs moddata_1(012) buc60967
bugs moddata_2(013) bug2569_1, bug6474, bug22910_1


Testing cases:
bugs vis(011) bug25783_1 - OK
http://occt-tests/CR25783-4-master-occt-64/Debian60-64/bugs/vis/bug25783_1.html [^]
http://occt-tests/CR25783-4-master-occt-64/Windows-64-VC10/bugs/vis/bug25783_1.html [^]
bugs vis(011) bug25783_2 - OK
http://occt-tests/CR25783-4-master-occt-64/Debian60-64/bugs/vis/bug25783_2.html [^]
http://occt-tests/CR25783-4-master-occt-64/Windows-64-VC10/bugs/vis/bug25783_2.html [^]

Testing on Linux:
Total MEMORY difference: 93410383 / 93782990 [-0.40%]
Total CPU difference: 52714.199999999335 / 51990.039999999615 [+1.39%]

Testing on Windows:
Total MEMORY difference: 57023878 / 57029529 [-0.01%]
Total CPU difference: 15932.553731098806 / 16632.062215099024 [-4.21%]
(0039664)
kgv (developer)
2015-04-14 08:53

> Regressions/Differences:
the behavior of vdisplay command has been improved within the patch - now error is generating when non-existing objects are listed for this command.

Dear Ivan, please update test cases accordingly.
(0039669)
git (administrator)
2015-04-14 12:52

Branch CR25783_5 has been created by isz.

SHA-1: 60ae17c14a9bf19d7b6f44df999021cd980c13dc


Detailed log of new commits:

Author: isz
Date: Tue Apr 14 12:52:10 2015 +0300

    Test cases fixed.

Author: isz
Date: Wed Apr 8 11:30:34 2015 +0300

    0025783: Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay
    
    Add one more pre-defined Z-layer Graphic3d_ZLayerId_BotOSD.
    
    Define new Transformation Persistence flags Graphic3d_TMF_2d and Graphic3d_TMF_2d_IsTopDown
    for displaying objects in screen coordinates.
    Anchor point defines angle of the screen to display the object in similar way as for Graphic3d_TMF_TriedronPers.
    
    Extend Draw Harness command vdisplay with new options:
     -overlay as alias for -toposd.
     -underlay and -botosd.
     -noselect to prevent automatic selection activation.
     -dispMode and -highMode to define displaying and highlighting modes.
     -2d, -2dtopdown and -3d to manage displaying in screen coordinates.
     -trsfPers and -trsfPersPos for Transformation Persistence options.
    
    Drop command vsettransmode, replaced by vdisplay.
(0039678)
git (administrator)
2015-04-14 14:52

Branch CR25783_6 has been created by isz.

SHA-1: 50a8a56a9203e45955b75571290555c17c7dcd06


Detailed log of new commits:

Author: isz
Date: Tue Apr 14 14:52:16 2015 +0300

    0025783: Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay
    
    Add one more pre-defined Z-layer Graphic3d_ZLayerId_BotOSD.
    
    Define new Transformation Persistence flags Graphic3d_TMF_2d and Graphic3d_TMF_2d_IsTopDown
    for displaying objects in screen coordinates.
    Anchor point defines angle of the screen to display the object in similar way as for Graphic3d_TMF_TriedronPers.
    
    Extend Draw Harness command vdisplay with new options:
     -overlay as alias for -toposd.
     -underlay and -botosd.
     -noselect to prevent automatic selection activation.
     -dispMode and -highMode to define displaying and highlighting modes.
     -2d, -2dtopdown and -3d to manage displaying in screen coordinates.
     -trsfPers and -trsfPersPos for Transformation Persistence options.
    
    Drop command vsettransmode, replaced by vdisplay.
(0039679)
isz (developer)
2015-04-14 14:54

Please test patch in branch CR25783_6.
(0039792)
git (administrator)
2015-04-15 16:33

Branch CR25783_6 has been updated by apv.

SHA-1: 53e61f46eda2732e1981506261f4f71998c18a53


Detailed log of new commits:

Author: apv
Date: Wed Apr 15 16:33:25 2015 +0300

    Correction of test-case bugs vis bug641

(0039794)
apv (tester)
2015-04-15 16:46

Dear BugMaster,

Branch CR25783_6 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 50a8a56a9203e45955b75571290555c17c7dcd06

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis(011) bug25783_1 - OK
http://occt-tests/CR25783-6-master-occt-64/Debian60-64/bugs/vis/bug25783_1.html [^]
http://occt-tests/CR25783-6-master-occt-64/Windows-64-VC10/bugs/vis/bug25783_1.html [^]
bugs vis(011) bug25783_2 - OK
http://occt-tests/CR25783-6-master-occt-64/Debian60-64/bugs/vis/bug25783_2.html [^]
http://occt-tests/CR25783-6-master-occt-64/Windows-64-VC10/bugs/vis/bug25783_2.html [^]

Testing on Linux:
Total MEMORY difference: 94117821 / 94219474 [-0.11%]
Total CPU difference: 52787.90999999952 / 56192.1799999997 [-6.06%]

Testing on Windows:
Total MEMORY difference: 57131579 / 57122084 [+0.02%]
Total CPU difference: 16284.585587698912 / 15976.312011598899 [+1.93%]
(0040994)
git (administrator)
2015-05-14 16:29

Branch CR25783 has been deleted by inv.

SHA-1: ff764864afa58511bd91d9e794678302b6548b55
(0040995)
git (administrator)
2015-05-14 16:29

Branch CR25783_1 has been deleted by inv.

SHA-1: 1cb2afbffe8c8516f795c38e68ef7137e57906e4
(0040996)
git (administrator)
2015-05-14 16:29

Branch CR25783_2 has been deleted by inv.

SHA-1: e67dd15e713b6d783c8879185cf49a7a980333ed
(0040997)
git (administrator)
2015-05-14 16:29

Branch CR25783_3 has been deleted by inv.

SHA-1: d204cae94cb75d2981b80c8443ee433737b8b678
(0040998)
git (administrator)
2015-05-14 16:29

Branch CR25783_4 has been deleted by inv.

SHA-1: 8d7b34016b846c0a0a98b9b5cdac1e7fb5581a31
(0040999)
git (administrator)
2015-05-14 16:29

Branch CR25783_5 has been deleted by inv.

SHA-1: 60ae17c14a9bf19d7b6f44df999021cd980c13dc
(0041000)
git (administrator)
2015-05-14 16:29

Branch CR25783_6 has been deleted by inv.

SHA-1: 53e61f46eda2732e1981506261f4f71998c18a53

- Related Changesets
occt: master af65fb19
Timestamp: 2015-04-16 08:33:46
Author: isz
Committer: bugmaster
Details ] Diff ]
0025783: Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay

Add one more pre-defined Z-layer Graphic3d_ZLayerId_BotOSD.

Define new Transformation Persistence flags Graphic3d_TMF_2d and Graphic3d_TMF_2d_IsTopDown
for displaying objects in screen coordinates.
Anchor point defines angle of the screen to display the object in similar way as for Graphic3d_TMF_TriedronPers.

Extend Draw Harness command vdisplay with new options:
 -overlay as alias for -toposd.
 -underlay and -botosd.
 -noselect to prevent automatic selection activation.
 -dispMode and -highMode to define displaying and highlighting modes.
 -2d, -2dtopdown and -3d to manage displaying in screen coordinates.
 -trsfPers and -trsfPersPos for Transformation Persistence options.

Drop command vsettransmode, replaced by vdisplay.

Correction of test-case bugs vis bug641
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TransModeFlags.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ZLayerId.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_transform_persistence.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
mod - tests/bugs/iges/fra62523 Diff ] File ]
mod - tests/bugs/modalg_2/bug20785 Diff ] File ]
mod - tests/bugs/moddata_1/buc60967 Diff ] File ]
mod - tests/bugs/moddata_2/bug22910_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug2569_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug6474 Diff ] File ]
mod - tests/bugs/vis/bug23120 Diff ] File ]
rm - tests/bugs/vis/bug23120_1 Diff ] File ]
add - tests/bugs/vis/bug25783_1 Diff ] File ]
add - tests/bugs/vis/bug25783_2 Diff ] File ]
mod - tests/bugs/vis/bug25867 Diff ] File ]
mod - tests/bugs/vis/bug641 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-03 09:43 isz New Issue
2015-02-03 09:43 isz Assigned To => isz
2015-02-03 09:43 isz Relationship added child of 0025508
2015-02-03 09:52 isz Relationship added parent of 0025785
2015-02-03 11:55 git Note Added: 0037007
2015-02-03 13:07 isz Note Added: 0037012
2015-02-03 13:07 isz Assigned To isz => kgv
2015-02-03 13:07 isz Status new => resolved
2015-02-03 13:07 isz Steps to Reproduce Updated View Revisions
2015-02-03 13:12 isz Relationship added parent of 0025789
2015-02-03 14:22 kgv Summary Designing 2d layers with z-layers => Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay
2015-02-03 16:06 git Note Added: 0037024
2015-02-03 16:13 kgv Note Added: 0037025
2015-02-03 16:13 kgv Assigned To kgv => isz
2015-02-03 16:13 kgv Status resolved => assigned
2015-02-09 11:55 git Note Added: 0037221
2015-02-09 13:49 git Note Added: 0037230
2015-02-09 13:50 isz Assigned To isz => kgv
2015-02-09 13:50 isz Status assigned => resolved
2015-02-09 13:50 isz Steps to Reproduce Updated View Revisions
2015-02-09 13:50 isz Steps to Reproduce Updated View Revisions
2015-02-09 13:51 isz Note Added: 0037231
2015-02-17 10:41 git Note Added: 0037614
2015-02-25 15:10 git Note Added: 0037864
2015-02-25 15:58 kgv Relationship added related to 0025867
2015-03-03 00:04 san Relationship added related to 0025885
2015-03-03 00:06 san Relationship added related to 0025884
2015-03-03 16:02 git Note Added: 0038049
2015-03-27 09:22 kgv Note Added: 0038934
2015-03-27 09:22 kgv Assigned To kgv => isz
2015-03-27 09:22 kgv Status resolved => assigned
2015-03-30 15:45 git Note Added: 0038986
2015-03-30 15:46 isz Note Added: 0038987
2015-03-30 15:46 isz Assigned To isz => kgv
2015-03-30 15:46 isz Status assigned => resolved
2015-03-30 15:46 isz Steps to Reproduce Updated View Revisions
2015-03-30 15:57 kgv Note Added: 0038990
2015-03-30 15:57 kgv Assigned To kgv => isz
2015-03-30 15:57 kgv Status resolved => assigned
2015-04-01 10:19 git Note Added: 0039071
2015-04-01 11:16 git Note Added: 0039080
2015-04-01 11:18 isz Note Added: 0039081
2015-04-01 11:18 isz Assigned To isz => kgv
2015-04-01 11:18 isz Status assigned => resolved
2015-04-01 12:24 kgv Note Added: 0039086
2015-04-01 12:24 kgv Assigned To kgv => isz
2015-04-01 12:24 kgv Status resolved => assigned
2015-04-02 12:57 git Note Added: 0039141
2015-04-06 10:57 git Note Added: 0039241
2015-04-06 11:15 git Note Added: 0039242
2015-04-06 11:16 isz Note Added: 0039243
2015-04-06 11:16 isz Assigned To isz => kgv
2015-04-06 11:16 isz Status assigned => resolved
2015-04-06 12:58 kgv Assigned To kgv => isz
2015-04-06 12:58 kgv Status resolved => assigned
2015-04-06 14:29 git Note Added: 0039258
2015-04-07 19:27 git Note Added: 0039341
2015-04-08 11:04 git Note Added: 0039347
2015-04-08 11:16 git Note Added: 0039348
2015-04-08 11:31 git Note Added: 0039349
2015-04-08 11:31 kgv Note Added: 0039350
2015-04-08 11:31 kgv Assigned To isz => bugmaster
2015-04-08 11:31 kgv Status assigned => resolved
2015-04-08 11:31 kgv Steps to Reproduce Updated View Revisions
2015-04-08 11:31 kgv Status resolved => reviewed
2015-04-08 11:47 kgv File Added: overlay.png
2015-04-08 17:11 apv Assigned To bugmaster => apv
2015-04-13 14:39 apv Note Added: 0039632
2015-04-13 14:39 apv Assigned To apv => isz
2015-04-13 14:39 apv Status reviewed => assigned
2015-04-14 08:53 kgv Note Added: 0039664
2015-04-14 12:52 git Note Added: 0039669
2015-04-14 14:52 git Note Added: 0039678
2015-04-14 14:54 isz Note Added: 0039679
2015-04-14 14:54 isz Assigned To isz => bugmaster
2015-04-14 14:54 isz Status assigned => resolved
2015-04-14 16:33 kgv Status resolved => reviewed
2015-04-14 17:23 apv Assigned To bugmaster => apv
2015-04-15 16:33 git Note Added: 0039792
2015-04-15 16:46 apv Note Added: 0039794
2015-04-15 16:46 apv Assigned To apv => bugmaster
2015-04-15 16:46 apv Status reviewed => tested
2015-04-15 16:46 apv Test case number => bugs vis(004) bug25783_1, bug25783_2
2015-04-17 15:40 bugmaster Changeset attached => occt master af65fb19
2015-04-17 15:40 bugmaster Status tested => verified
2015-04-17 15:40 bugmaster Resolution open => fixed
2015-04-25 08:46 kgv Relationship added parent of 0026149
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:29 git Note Added: 0040994
2015-05-14 16:29 git Note Added: 0040995
2015-05-14 16:29 git Note Added: 0040996
2015-05-14 16:29 git Note Added: 0040997
2015-05-14 16:29 git Note Added: 0040998
2015-05-14 16:29 git Note Added: 0040999
2015-05-14 16:29 git Note Added: 0041000


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker